PostgreSQL 7.1.3 Documentation
Prev |  | Next

# pg_lo_lseek

## Name

pg_lo_lseek -- seek to a position in a large object

## Synopsis

    pg_lo_lseek conn fd offset whence

### Inputs

`conn`

  Specifies a valid database connection.

`fd`

  File descriptor for the large object from pg_lo_open.

`offset`

  Specifies a zero-based offset in bytes.

`whence`

  whence can be "SEEK_CUR", "SEEK_END", or "SEEK_SET"

### Outputs

None

## Description

`pg_lo_lseek` positions to `offset` bytes from the beginning of the large object.

## Usage

`whence` can be "SEEK_CUR", "SEEK_END", or "SEEK_SET".

Prev | Home | Next
pg_lo_write | Up | pg_lo_tell